Changelog for November 4, 2025
-
POST /tasking/v2/tasksendpoint — the createTask operation now supports SFTP delivery locations. When creating a task, you can specify SFTP delivery in thedeliveriesparameter to have products automatically delivered to your configured SFTP location upon task completion.To use SFTP delivery:
-
Call
getContractto retrieve the SFTP path from your contract’sdeliveryLocationsarray. -
Call
listDeliveryLocationConfigsto discover the SFTP config ID (look for the entry withmethod: "sftp"). -
Include the SFTP delivery in your task request using the discovered config ID and path from your contract.
Important limitations:
-
-
SFTP delivery is only supported for the Tasking API. The Delivery API continues to support AWS S3 only for re-delivery of existing products.
-
SFTP delivery does not support delivery status notifications. Use the
getTaskoperation to monitor task status instead.